Exception on opening "show all protocols" page

RESOLVED FIXED in 1.4

Status

Chat Core
General
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: aleth, Assigned: aleth)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

582 bytes, patch
clokep
: review+
Details | Diff | Splinter Review
(Assignee)

Description

4 years ago
*** Original post on bio 1800 at 2012-11-16 19:23:00 UTC ***

Timestamp: 11/16/2012 08:21:27 PM
Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [prplIProtocol.init]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: jar:file://instantbird/omni.ja!/components/imCore.js :: <TOP_LEVEL> :: line 338"  data: no]
Source File: jar:file://instantbird/omni.ja!/components/imCore.js
Line: 340
(Assignee)

Comment 1

4 years ago
*** Original post on bio 1800 at 2012-11-16 19:58:40 UTC ***

This is caused by the Bonjour protocol failing to initialize (due to the lack of its toolkit).

We should at least change the catch() here to improve the error message by including the failing protocol id.
(Assignee)

Comment 2

4 years ago
Created attachment 8353854 [details] [diff] [review]
Patch

*** Original post on bio 1800 as attmnt 2093 at 2012-11-16 20:10:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353854 - Flags: review?(clokep)
Comment on attachment 8353854 [details] [diff] [review]
Patch

*** Original change on bio 1800 attmnt 2093 at 2012-11-18 14:29:58 UTC ***

Florian and I discussed this on IRC, we think we should include the error too (see http://lxr.instantbird.org/instantbird/source/chat/modules/jsProtoHelper.jsm#646).
Attachment #8353854 - Flags: review?(clokep) → review-
(Assignee)

Comment 4

4 years ago
Created attachment 8353860 [details] [diff] [review]
Patch

*** Original post on bio 1800 as attmnt 2099 at 2012-11-18 15:06:00 UTC ***

Include original error message.
Attachment #8353860 - Flags: review?(clokep)
(Assignee)

Comment 5

4 years ago
Comment on attachment 8353854 [details] [diff] [review]
Patch

*** Original change on bio 1800 attmnt 2093 at 2012-11-18 15:06:25 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353854 - Attachment is obsolete: true
(Assignee)

Updated

4 years ago
Assignee: nobody → aleth
Status: NEW → ASSIGNED
Comment on attachment 8353860 [details] [diff] [review]
Patch

*** Original change on bio 1800 attmnt 2099 at 2012-11-18 15:11:45 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353860 - Flags: review?(clokep) → review+
(Assignee)

Updated

4 years ago
Component: Account wizard → General
Product: Instantbird → Chat Core
Whiteboard: [checkin-needed]
*** Original post on bio 1800 at 2012-11-18 18:54:40 UTC ***

http://hg.instantbird.org/instantbird/rev/2bc4c63b7926
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.